Bug 851095 - [abrt] texmaker-3.2.2-1.fc17: QVector: Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
Summary: [abrt] texmaker-3.2.2-1.fc17: QVector: Process /usr/bin/texmaker was killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texmaker
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:78a5ebf80fa5cc6ae85bc1227ec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-23 08:55 UTC by Gopala Krishna Koduri
Modified: 2012-09-25 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-25 16:37:33 UTC


Attachments (Terms of Use)
File: backtrace (49.66 KB, text/plain)
2012-08-23 08:55 UTC, Gopala Krishna Koduri
no flags Details
File: smolt_data (3.16 KB, text/plain)
2012-08-23 08:55 UTC, Gopala Krishna Koduri
no flags Details
File: xsession_errors (2.45 KB, text/plain)
2012-08-23 08:55 UTC, Gopala Krishna Koduri
no flags Details
File: maps (79.78 KB, text/plain)
2012-08-23 08:55 UTC, Gopala Krishna Koduri
no flags Details
File: dso_list (15.89 KB, text/plain)
2012-08-23 08:55 UTC, Gopala Krishna Koduri
no flags Details
File: build_ids (6.37 KB, text/plain)
2012-08-23 08:55 UTC, Gopala Krishna Koduri
no flags Details

Description Gopala Krishna Koduri 2012-08-23 08:55:16 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        texmaker '/home/gopal/Dropbox/UPF-Work/Journals/SMC 2011 Revision for JNMR 2012/Latex/smc2011template.tex'
comment:        I undid an action, and it crashed. I dragged some text previous to this.
crash_function: QVector
executable:     /usr/bin/texmaker
kernel:         3.5.2-1.fc17.x86_64
pid:            12790
pwd:            /home/gopal
remote_result:  735610
time:           ఆగస్టు 23 గురువారం 2012 ఉ.10.47.01 CEST
uid:            1000
username:       gopal

backtrace:      Text file, 50856 bytes
build_ids:      Text file, 6519 bytes
dso_list:       Text file, 16270 bytes
maps:           Text file, 81692 bytes
smolt_data:     Binary file, 3233 bytes
xsession_errors: Binary file, 2504 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/gopal/2

core_backtrace:
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0x124460 - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xbc1f0 - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xbc2fd - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xc9964 - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xc9af9 - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0x7b278 - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0x15ee0a - [exe] -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xcaba0 - [exe] -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xd00cc - [exe] -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x4846f5 - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x484857 - libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18cb9f QMetaObject::activate(QObject*, libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x82cd4a QTextDocument::contentsChange(int, libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x44b8ca - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x44de67 - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x43a8e7 QTextDocument::undo(QTextCursor*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x412fcd QTextControl::undo() libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x413453 - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x415d3b QTextControl::processEvent(QEvent*, libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x40ac43 QTextControl::processEvent(QEvent*, libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x660150 QPlainTextEdit::keyPressEvent(QKeyEvent*) libQtGui.so.4 -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0xba288 - [exe] -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x219bdb QWidget::event(QEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x5c3b46 QFrame::event(QEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x6436fb QAbstractScrollArea::event(QEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x65f14c QPlainTextEdit::event(QEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ca37c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1cf374 QApplication::notify(QObject*, libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1763ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x26654a - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x266981 - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x2443f8 QApplication::x11ProcessEvent(_XEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x26a60c - libQtGui.so.4 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a44e6 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x26a2ee - libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x17513f QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1753c8 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x17a1b8 QCoreApplication::exec() libQtCore.so.4 -
:81b8e799f0947f59d20bb6fe779bc67314cdfd41 0x284c9 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:'LESS_TERMCAP_mb=\x1b[01;31m'
:HOSTNAME=rayalu
:'LESS_TERMCAP_md=\x1b[01;35m'
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:'LESS_TERMCAP_me=\x1b[0m'
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/gopal/keyring-sjQivE
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'LESS_TERMCAP_ue=\x1b[0m'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=gopal
:WINEARCH=win32
:USERNAME=gopal
:'LESS_TERMCAP_us=\x1b[04;36m'
:MAIL=/var/spool/mail/gopal
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/gopal/.local/bin:/home/gopal/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=ibus
:PWD=/home/gopal
:JAVA_HOME=/usr/java/latest
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1513
:LANG=te_IN.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=te_IN.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/gopal
:SHLVL=1
:LOGNAME=gopal
:PYTHONPATH=:/usr/local/lib/python2.7/dist-packages:/home/gopal/workspace/raagaRecognition/src/:/home/gopal/workspace/intonationLib/src/:/home/gopal/workspace/stringDuplicates/src:/usr/local/lib/python2.7/dist-packages:/home/gopal/workspace/raagaRecognition/src/:/home/gopal/workspace/intonationLib/src/:/home/gopal/workspace/stringDuplicates/src
:QTLIB=/usr/lib64/qt-3.3/lib
:'LESS_TERMCAP_so=\x1b[01;33m'
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Rrnxdio0yQ,guid=eb656a1c111e0f00a8e1339c0000002f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/gopal
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:GTK_IM_MODULE=ibus
:XAUTHORITY=/var/run/gdm/auth-for-gopal-QqMZ2S/database
:'LESS_TERMCAP_se=\x1b[0m'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1517,unix/unix:/tmp/.ICE-unix/1517
:SSH_AUTH_SOCK=/run/user/gopal/keyring-sjQivE/ssh
:GPG_AGENT_INFO=/run/user/gopal/keyring-sjQivE/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-texmaker.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=12790

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31051                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31051                31051                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/gopal/.xsession-errors
:pos:	786291
:flags:	0102002
:2:/home/gopal/.xsession-errors
:pos:	786291
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[134818]
:pos:	0
:flags:	02004000
:5:pipe:[134818]
:pos:	0
:flags:	02004001
:6:socket:[134819]
:pos:	0
:flags:	02004002
:7:socket:[134820]
:pos:	0
:flags:	02004002
:8:socket:[134823]
:pos:	0
:flags:	02004002
:9:socket:[136450]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:socket:[135296]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[134825]
:pos:	0
:flags:	02000002
:15:/tmp/qtsingleapplication-44c1-3e8-lockfile
:pos:	0
:flags:	02100002
:16:socket:[134826]
:pos:	0
:flags:	02000002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:anon_inode:inotify
:pos:	0
:flags:	02000000
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:socket:[136465]
:pos:	0
:flags:	02004002
:21:/home/gopal/Dropbox/UPF-Work/Journals/SMC 2011 Revision for JNMR 2012/Latex/smc2011template.pdf
:pos:	968151
:flags:	0100000

var_log_messages:
:Aug 23 10:47:00 rayalu kernel: [48031.109669] texmaker[12790]: segfault at 20 ip 0000000000524460 sp 00007fffdbb8fa18 error 4 in texmaker[400000+3f3000]
:Aug 23 10:47:03 rayalu abrt[19105]: Saved core dump of pid 12790 (/usr/bin/texmaker) to /var/spool/abrt/ccpp-2012-08-23-10:47:01-12790 (149536768 bytes)

Comment 1 Gopala Krishna Koduri 2012-08-23 08:55:20 UTC
Created attachment 606477 [details]
File: backtrace

Comment 2 Gopala Krishna Koduri 2012-08-23 08:55:23 UTC
Created attachment 606478 [details]
File: smolt_data

Comment 3 Gopala Krishna Koduri 2012-08-23 08:55:24 UTC
Created attachment 606479 [details]
File: xsession_errors

Comment 4 Gopala Krishna Koduri 2012-08-23 08:55:26 UTC
Created attachment 606480 [details]
File: maps

Comment 5 Gopala Krishna Koduri 2012-08-23 08:55:29 UTC
Created attachment 606481 [details]
File: dso_list

Comment 6 Gopala Krishna Koduri 2012-08-23 08:55:31 UTC
Created attachment 606482 [details]
File: build_ids

Comment 7 Fedora Update System 2012-09-21 00:09:36 UTC
texmaker-3.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc17

Comment 8 Fedora Update System 2012-09-21 00:10:22 UTC
texmaker-3.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc16

Comment 9 Fedora Update System 2012-09-21 00:11:04 UTC
texmaker-3.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texmaker-3.5-1.fc18

Comment 10 Fedora Update System 2012-09-21 23:53:59 UTC
Package texmaker-3.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texmaker-3.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14438/texmaker-3.5-1.fc17
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-09-25 16:37:33 UTC
texmaker-3.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.